// AtlHello.cpp : Implementation of CAtlHello
#include "stdafx.h"
#include "AtlHelloDll.h"
#include "AtlHello.h"

/////////////////////////////////////////////////////////////////////////////
// CAtlHello


STDMETHODIMP CAtlHello::get_HelloMessage(BSTR *pVal)
{
	*pVal = SysAllocString (m_bstrHelloMessage) ;
	return S_OK;
}

STDMETHODIMP CAtlHello::put_HelloMessage(BSTR newVal)
{
	m_bstrHelloMessage = newVal ;
	SysFreeString (newVal) ;
	return S_OK;
}

STDMETHODIMP CAtlHello::SayHello()
{
	MessageBox (NULL, (char *) m_bstrHelloMessage, "Essence Of COM", 0) ;
	return S_OK;
}
